./databases/libgda-postgres, GNU database access library - postgres provider

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 5.2.9nb3, Package name: libgda-postgres-5.2.9nb3, Maintainer: pkgsrc-users

This package provides the postgres plugin for libgda, which lets it act as
a PostgreSQL client.


Required to run:
[textproc/libxml2] [databases/libgda] [devel/glib2] [databases/postgresql95-client]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 005d3be4448ae9faa5fe422f8479630793adf89e
RMD160: b96a8548228f932d51bd92c19667a214b1ab1d55
Filesize: 12323.398 KB

Version history: (Expand)


CVS history: (Expand)


   2020-06-02 10:25:05 by Adam Ciarcinski | Files touched by this commit (1689)
Log message:
Revbump for icu
   2020-03-08 17:51:54 by Thomas Klausner | Files touched by this commit (2833)
Log message:
*: recursive bump for libffi
   2020-01-18 22:51:16 by Jonathan Perkin | Files touched by this commit (1836)
Log message:
*: Recursive revision bump for openssl 1.1.1.
   2019-05-17 10:20:34 by Thomas Klausner | Files touched by this commit (11) | Package updated
Log message:
libgda*: update to 5.2.9

Fixes build with OpenSSL-1.1.

libgda 5.2.9
 - Fix Sun JRE 1.8 detection
 - Fix JDK 11.0 detection
 - Drop unneeded JAVAH variable check
 - Fix build for System Installed SQLite libs
 - Non-Dates and Timestamps values returns 'NULL' string when converted
 - Fix --with-ui, now UI is buildable when enable

libgda 5.2.8 2018-12-03
 - Fix a typo on sv translation
 - Please note: releases 5.2.6 and 5.2.7 were unable to be published at
   downdload.gnome.org

libgda 5.2.7 2018-11-07
 - SQLite provider uses system installed one by default
 - Revome build's date from documentation
 - introspection: removed system install in favor of --prefix

libgda 5.2.6 2018-10-03
 - Fixed compilation on MacOS
 - All Vala bindings and Vala extensions are built by default using --enable-vala,
   added --disable* switch to disable some or all of them
 - Fixes on outdated unit tests
 - Removed unused Vala extensions
 - Translations:
	- es (Daniel Mustieles)

libgda 5.2.5 2018-09-25
 - GdaConnection has removed the use of g_object_weak_*, improving
   multi-threading behaviour
 - Prepared statements now use GWeakRef for weak references
 - GdaDataPivot use instance providers and locking
 - GdaVConnectionDataModel use GRecMutex
 - Updated SQLite to 3.8.11.1
 - Fix SQLCipher build by embedding source code for 3.4.2 version
 - Fix SQLCipher disabling
 - Updated GObject Introspection annotations
 - Fix Doc generation
 - Bugs corrected: #787685 #789382 #761560 #761529 #760420 #761424 #754263 #754208
 - Corrected HTML output containing <SCRIPT> tag
 - Correct some truncated help strings
 - Don't use (deprecated) g_thread_supported()
 - MySQL meta data: fixed case where schema is incomplete in MySQL database
 - Allow introspection for gda_sql_builder_add_cond_v()
 - SQLite: handle WITHOUT ROWID without any error
 - Translations:
	- es (Daniel Mustieles)
	- da (Ask Hjorth Larsen)
	- pt_BR (Rafael Fontenelle)
	- eu (Inaki Larranaga Murgoitio)
	- sr (Мирослав Николић)
	- sv (Anders Jonsson)
	- de (Mario Blättermann)
	- cs (Marek Černocký)
	- hu (Balázs Meskó)
	- oc (Balázs Meskó)
	- el (Tom Tryfonidis)
	- po (Pedro Albuquerque)
	- id (Andika Triwidada)

libgda 5.2.4, 2015-06-13

 - Added missing file in distributed tarball, bug #750891

libgda 5.2.3, 2015-06-12

 - Improved Vala and introspection
 - Bugs corrected: #722531, #722773, #730813, #742312, #750191 and others
 - Translations:
	- zh_CN (Wylmer Wang)
	- el (Dimitris Spingos)
	- sr (Мирослав Николић)
	- bs (Samir Ribic)
	- pl (Piotr Drąg)
	- cs (Marek Černocký)
	- es (Daniel Mustieles)
	- id (Andika Triwidada)
	- eu (Inaki Larranaga Murgoitio)
	- pt (Pedro Albuquerque)
   2016-10-09 23:42:04 by Thomas Klausner | Files touched by this commit (110)
Log message:
Recursive bump for all users of pgsql now that the default is 95.
   2016-03-05 12:29:49 by Jonathan Perkin | Files touched by this commit (1813) | Package updated
Log message:
Bump PKGREVISION for security/openssl ABI bump.
   2014-02-13 00:18:57 by Matthias Scheler | Files touched by this commit (1568)
Log message:
Recursive PKGREVISION bump for OpenSSL API version bump.
   2013-10-06 21:55:38 by Joerg Sonnenberger | Files touched by this commit (55) | Package updated
Log message:
Update to libgda-5.1.2 for modern Anjuta.

This moves to Gnome 3 environment.